package com.chenyang.druid.sql.dialect.mariadb.ast.statement;

import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;

public class MariadbShowCreateEventStatement extends MariadbStatementImpl implements MariadbShowStatement {
   private SQLExpr eventName;

   public void accept0(MariadbASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.eventName);
      }

      visitor.endVisit(this);
   }

   public SQLExpr getEventName() {
      return this.eventName;
   }

   public void setEventName(SQLExpr eventName) {
      this.eventName = eventName;
   }
}
